<?php
/*
Plugin Name: Protect Ebook.net Order Process
Plugin URI: http://www.protect-ebook.net/woocommerce
Description: Integrates <a href="http://www.woothemes.com/woocommerce" target="_blank" >WooCommerce</a> with <a href="http://www.protect-ebook.net/" target="_blank">Protect Ebook.net</a>, ebook protection and activation service. 
Version: 1.0.0
Author: G.D.G. Software
Author URI: http://www.gdgsoft.com
*/
/* 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
 * Required functions
 */
 
if ( class_exists( 'WC_ProtectEbook' ) ) return;

/**
 * Localisation
 */
load_plugin_textdomain( 'WC_ProtectEbook', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );


define( 'WC_PROTECTEBOOK_DIR', plugin_dir_path(__FILE__) );

/**
 * Plugin activation check
 */
function wc_protectebook_activation_check() {

	// Verify WooCommerce is installed and active
	$active_plugins = (array) get_option( 'active_plugins', array() );

	if ( is_multisite() )
		$active_plugins = array_merge( $active_plugins, get_site_option( 'active_sitewide_plugins', array() ) );
	
	if ( ! ( in_array('woocommerce/woocommerce.php', $active_plugins) || array_key_exists('woocommerce/woocommerce.php', $active_plugins) ) ) {
        deactivate_plugins( basename( __FILE__ ) );
        wp_die( "This plugin requires WooCommerce to be installed and active." );
	}

}

register_activation_hook( __FILE__, 'wc_protectebook_activation_check' );


/**
 * wc_protectebook_init function.
 *
 * @access public
 * @return void
 */
function wc_protectebook_init() {
	include_once( 'classes/class-wc-protectebook.php' );
}

add_action( 'woocommerce_integrations_init', 'wc_protectebook_init' );


function add_protectebook_integration( $integrations ) {
	$integrations[] = 'WC_ProtectEbook';
	return $integrations;
}

add_filter('woocommerce_integrations', 'add_protectebook_integration' );


/**
 * Plugin page links
 */
function wc_protectebook_plugin_links( $links ) {

	$plugin_links = array(
		'<a href="' . admin_url( 'admin.php?page=wc-settings&tab=integration' ) . '">' . __( 'Settings', 'WC_ProtectEbook' ) . '</a>',
		'<a href="http://www.protect-ebook.net">' . __( 'Support', 'WC_ProtectEbook' ) . '</a>'
	);

	return array_merge( $plugin_links, $links );
}

add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'wc_protectebook_plugin_links' );


